Eclipse Platform Release 3.7

## org.eclipse.debug.ui.actions
Class DebugAction

    java.lang.Object
      org.eclipse.debug.internal.ui.actions.ExecutionAction
          org.eclipse.debug.ui.actions.DebugAction

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2

    public final class DebugAction

extends org.eclipse.debug.internal.ui.actions.ExecutionAction

Action to launch the last launch configuration that was successfully launched, in debug mode. If no configurations have been launched, the launch configuration dialog is opened.

This class may be instantiated.

Since:
  2.0

Constructor Summary
`DebugAction()`

Method Summary
`protected String` `getMode()` Returns the mode of a launcher to use for this action

Methods inherited from class org.eclipse.debug.internal.ui.actions.ExecutionAction
`dispose, getLaunchConfigurationManager, init, run, runWithEvent, selectionChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugAction

    public DebugAction()

Method Detail

### getMode

    protected String getMode()

  Description copied from class: `org.eclipse.debug.internal.ui.actions.ExecutionAction`
  Returns the mode of a launcher to use for this action

  Specified by:
    `getMode` in class `org.eclipse.debug.internal.ui.actions.ExecutionAction`
  See Also:
    `ExecutionAction.getMode()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.